import client from './managers/client'
import api from './managers/api'
import cookie from './managers/cookie'
import grantType from './managers/grant-type'
import scope from './managers/scope'
import auth from './managers/auth'

const collection = {client, api, scope, cookie, grantType, auth}

const Plugin = {
    install(Vue) {
        Vue.mp = collection
        Object.defineProperties(Vue.prototype, {
            $mp: {
                get () {
                    return collection
                }
            }

        })
    }
}

if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(Plugin)
}

export default Plugin